using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        
        static void Main(string[] args)
        {
            ulong a, b;
            string[] red = Console.ReadLine().Split(' ');
            a = ulong.Parse(red[0]);
            b = ulong.Parse(red[1]);
            if(a == 1 && b == 1)
            {
                Console.WriteLine("1");
            }
            else
            {
            ulong okvir = a * 2 + (b - 2) * 2;
            ulong unutra = (a * b) - okvir;
            if(unutra % 2 == 0)
            {
                Console.WriteLine((b * a) - (unutra / 2));
            }
            else Console.WriteLine((b*a) - (unutra / 2 + 1));
            }
        }
    }
}